Retrieve a credit note
curl --request GET \
--url https://api.spacebring.com/billing/credit_notes/v1/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/billing/credit_notes/v1/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/billing/credit_notes/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creditNote": {
"baseAmounts": {
"currencyCode": "<string>",
"grossAmount": 123,
"postPaymentAmount": 123,
"prePaymentAmount": 123,
"subtotalAmount": 123,
"subtotalAmountExcludingTax": 123,
"taxes": [
{
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
}
],
"totalAmount": 123,
"totalExcludingTaxAmount": 123
},
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logo": {
"key": "<string>",
"url": "<string>"
},
"title": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"grossAmount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lines": [
{
"baseAmounts": {
"currencyCode": "<string>",
"discountedAmount": 123,
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"tax": {
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
},
"unitAmount": 123,
"unitExcludingTaxAmount": 123
},
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"discountedAmount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceItemRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"updateDate": "2023-11-07T05:31:56Z",
"discounts": [
{
"coupon": {
"amountOff": 123,
"currencyCode": "<string>",
"duration": "<string>",
"durationInMonths": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentOff": 123,
"type": "<string>"
},
"promocode": {
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiration": "2023-11-07T05:31:56Z",
"limitByFirstPurchase": true
},
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"quantity": 123,
"tax": {
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
},
"unitAmount": 123,
"unitExcludingTaxAmount": 123
}
],
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pdfUrl": "<string>",
"postPaymentAmount": 123,
"prePaymentAmount": 123,
"subtotalAmount": 123,
"subtotalAmountExcludingTax": 123,
"taxes": [
{
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
}
],
"title": "<string>",
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"updateDate": "2023-11-07T05:31:56Z",
"creditAmount": 123,
"effectiveDate": "<string>",
"internalNote": "<string>",
"number": 123,
"outOfBandAmount": 123,
"refunds": [
{
"amount": 123,
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": {
"label": "<string>"
}
}
],
"voidDate": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Billing
Retrieve a credit note
Retrieve a specific credit note.
OAuth
Required scopes:invoices.readonly or invoicesGET
/
billing
/
credit_notes
/
v1
/
{id}
Retrieve a credit note
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the credit note
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I